

.wp-block-list{
	&.is-style-an-lists-checks{
		margin-left: 0;
		padding-left: 0;
		li{
			padding: 16px 8px 16px 40px;
			list-style-type: none;
			background-repeat: no-repeat;
			background-position: center left;
			background-image: url("data:image/svg+xml,%3Csvg width='30' height='30' viewBox='0 0 36 36' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M31.5 15.1286V16.5086C31.4982 19.7432 30.4508 22.8906 28.514 25.4813C26.5773 28.072 23.8549 29.9673 20.753 30.8844C17.6511 31.8016 14.3359 31.6914 11.3017 30.5705C8.26752 29.4495 5.67698 27.3777 3.91644 24.6642C2.1559 21.9506 1.31969 18.7407 1.53252 15.5131C1.74534 12.2854 2.99581 9.21307 5.09742 6.75419C7.19903 4.29531 10.0392 2.58166 13.1943 1.8688C16.3494 1.15595 19.6504 1.48209 22.605 2.79859M31.5 4.50859L16.5 19.5236L12 15.0236' stroke='%231E1E1E' stroke-width='3' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
		}
	}
	
	&.is-style-an-lists-zonas{
		list-style-type: none;
		display: flex;
		flex-wrap: wrap;
		gap: 16px;
		
		li{
			margin-bottom: 8px;
			
			a{
				background: var(--wp--preset--color--custom-an-grisclaro);
				padding: 8px 16px;
				border-radius: 4px;
			
				&:hover{
					background: var(--wp--preset--color--custom-an-verde);
					color: var(--wp--preset--color--custom-an-negro);
				}
			}
		}
	}
} 


.wp-block-page-list{
	&.is-style-an-page-list-zonas {
		list-style-type: none;
		display: flex;
		flex-wrap: wrap;
		gap: 16px;

		li{
			margin-bottom: 8px;
			
			a{
				background: var(--wp--preset--color--custom-an-grisclaro);
				padding: 8px 16px;
				border-radius: 4px;
			
				&:hover{
					background: var(--wp--preset--color--custom-an-verde);
					color: var(--wp--preset--color--custom-an-negro);
				}
			}
		}
	}
}

.wp-block-query{
	&.is-style-an_query_zonas{
		ul{
			list-style-type: none;
			display: flex;
			flex-wrap: wrap;
			gap: 16px;
			
			li{
				margin: 0 0 0px 0;
				
				h2{ display: inline; line-height: 1; margin: 0; }
				
				a{
					background: var(--wp--preset--color--custom-an-grisclaro);
					padding: 8px 16px;
					border-radius: 4px;
				
					&:hover{
						background: var(--wp--preset--color--custom-an-verde);
						color: var(--wp--preset--color--custom-an-negro);
					}
				}
			}
		}
	}
} 

.wp-block-post-terms{
	&.is-style-an_post-terms-sin-enlace {
		a{
			pointer-events: none!important;
			cursor: default!important;
			text-decoration: none!important;
		}
	}
}


.wp-block-buttons{
	.wp-block-button.is-style-an_boton-tfno{
		a.wp-block-button__link{
			padding:calc(0.667em + 2px) calc(1.333em + 2px); 
			
			&:before{
				vertical-align: middle;
				background-image: url("data:image/svg+xml,%3Csvg width='16' height='16' viewBox='0 0 24 24' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M17.5734 13.4334V15.9334C17.5744 16.1655 17.5268 16.3952 17.4339 16.6079C17.3409 16.8205 17.2045 17.0114 17.0335 17.1683C16.8625 17.3252 16.6606 17.4447 16.4407 17.519C16.2209 17.5934 15.9879 17.621 15.7568 17.6001C13.1925 17.3214 10.7293 16.4452 8.5651 15.0417C6.55162 13.7623 4.84454 12.0552 3.5651 10.0417C2.15675 7.86775 1.2803 5.39258 1.00676 2.81675C0.985939 2.5863 1.01333 2.35405 1.08718 2.13477C1.16104 1.91549 1.27974 1.71399 1.43574 1.5431C1.59173 1.37221 1.7816 1.23567 1.99326 1.14218C2.20491 1.04869 2.43371 1.0003 2.6651 1.00008H5.1651C5.56952 0.9961 5.96159 1.13931 6.26823 1.40302C6.57487 1.66674 6.77516 2.03295 6.83176 2.43341C6.93728 3.23347 7.13297 4.01902 7.4151 4.77508C7.52722 5.07335 7.55148 5.39751 7.48502 5.70915C7.41856 6.02079 7.26415 6.30684 7.0401 6.53341L5.98176 7.59175C7.16806 9.67804 8.89548 11.4055 10.9818 12.5917L12.0401 11.5334C12.2667 11.3094 12.5527 11.155 12.8644 11.0885C13.176 11.022 13.5002 11.0463 13.7984 11.1584C14.5545 11.4405 15.34 11.6362 16.1401 11.7417C16.5449 11.7989 16.9146 12.0028 17.1789 12.3147C17.4432 12.6266 17.5836 13.0247 17.5734 13.4334Z' stroke='%2313FFD0' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E");
				background-repeat: no-repeat;
				background-position: center left;
				background-size: 16px;
				width: 24px;
				height: 16px;
				display: inline-block;
				content: "";
			}
			
		}
	}
	.wp-block-button.is-style-an_boton-mail{
		a.wp-block-button__link{
			padding:calc(0.667em + 2px) calc(1.333em + 2px); 
			white-space: nowrap;
			
			&:before{
				vertical-align: middle;
				background-image: url("data:image/svg+xml,%3Csvg width='19' height='16' viewBox='0 0 19 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M17.6667 2.66667C17.6667 1.75 16.9167 1 16 1H2.66667C1.75 1 1 1.75 1 2.66667M17.6667 2.66667V12.6667C17.6667 13.5833 16.9167 14.3333 16 14.3333H2.66667C1.75 14.3333 1 13.5833 1 12.6667V2.66667M17.6667 2.66667L9.33333 8.5L1 2.66667' stroke='%2313FFD0' stroke-width='2' stroke-linecap='round' stroke-linejoin='round'/%3E%3C/svg%3E%0A");
				background-repeat: no-repeat;
				background-position: center left;
				background-size: 16px;
				width: 24px;
				height: 16px;
				display: inline-block;
				content: "";
			}
			
		}
	}	
}

.wp-block-navigation{
	&.is-style-an_navigation_2cols {
		display: grid;
		grid-template-columns: 1fr 1fr;
		min-width: 320px;
	}
}


.wp-block-group{
	.is-style-an-contenedor-equipo-bn{
		img{
			filter: saturate(0);
			transition: 0.25s ease-in-out;
			
			&:hover{
				filter: saturate(1);
				transition: 0.25s ease-in-out;
			}
		}
		
	}


/* g4blocks/slider */
.wp-block-g4blocks-slider{

	/* Logos */
	&.is-style-an_g4_slider-verde{

		//margin: 0 -1rem!important;

		ul.splide__list{
			position: relative;

			li.wp-block-g4blocks-slider-slide{
				display: flex;
				justify-content: center;
				align-items: center;
				padding: 1rem 2rem;

				img{
					max-height: 112px;
					width: auto;
				}

				> * {
					margin: 0;
				}
			}
		}

		&.clientes{
			ul.splide__list{
				li.wp-block-g4blocks-slider-slide{
					width: calc(16.6666% - 2.66667rem)!important;

					@media screen and (max-width: 600px){
						margin-right: 1.5rem!important;
						width: calc(45.3333% - 2.66667rem)!important;
						padding: 0rem;
					}
					img{
						max-height: 112px;
						filter: invert(1);
					}
				}
			}
		}
	}
}





.wp-block-post-excerpt__more-link{
	border: 1px solid var(--wp--preset--color--custom-an-negro);
	padding: 4px 8px;
	text-transform: uppercase;
	font-weight: 700;
}

nav.wp-block-navigation .botonagencia a.wp-block-navigation-item__content {
	background: var(--wp--preset--color--custom-an-negro);
	border: 1px solid var(--wp--preset--color--custom-an-verde);
	color: var(--wp--preset--color--custom-an-verde);
	padding: 0.5em 1em !important;
}

nav.wp-block-navigation.is-style-an_top_navigation ul.wp-block-navigation__container li {
	ul.wp-block-navigation__submenu-container{
		@media screen and (max-width: 768px){
			padding-right: 0;
		}
		
		li{
			@media screen and (min-width: 768px){
				height: 60px;
			}
			background: var(--wp--preset--color--custom-an-negro);
			@media screen and (max-width: 600px){
				a{
					padding-top: 0;
					padding-bottom: 0;
					font-weight: 400;
				}
			}
		}
	}
}